Name:          solaar
Version:       1.1.0
Release:       1mamba
Summary:       Linux device manager for Logitech devices 
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pwr-solaar.github.io/Solaar/
Source:        https://github.com/pwr-Solaar/Solaar.git/%{version}/Solaar-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(psutil)
BuildRequires: python3.7dist(python-xlib)
BuildRequires: python3.7dist(pyudev)
BuildRequires: python3.7dist(pyyaml)
## AUTOBUILDREQ-END

%description
Linux device manager for Logitech devices.

%prep
%setup -q -n Solaar-%{version}

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

install -D -m0644 rules.d/42-logitech-unify-permissions.rules %{buildroot}%{_udevrulesdir}/42-logitech-unify-permissions.rules
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.filelist
%defattr(-,root,root)
%dir %{python3_sitearch}/solaar-%{version}-py*.egg-info
%{python3_sitearch}/solaar-%{version}-py*.egg-info/*
%{_udevrulesdir}/42-logitech-unify-permissions.rules
%doc COPYING

%changelog
* Sat Nov 27 2021 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Sat Oct 02 2021 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic version update by autodist

* Sun May 09 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.6-1mamba
- package created using the webbuild interface
